Skip to main content
GET
/
providers
/
{providerId}
Get a provider
curl --request GET \
  --url https://api.adaline.ai/v2/providers/{providerId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "settingId": "<string>",
  "provider": "<string>",
  "modelSettings": [
    {
      "name": "<string>",
      "enabled": true
    }
  ],
  "createdAt": 17450965800000,
  "updatedAt": 17450965800000,
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

providerId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Query Parameters

includeModels
boolean | null

Response

Provider retrieved.

A configured model provider with connection settings.

id
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
settingId
string
required
Required string length: 1 - 255
provider
string
required
modelSettings
object[]
required
createdAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000
updatedAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000
description
string